import request from '@/config/axios'

export const FlameSchoolApi = {
	// 学校列表
	flameSchoolPage: async (params: any) => {
		return await request.get({ url: '/menduner/system/teacher/page', params })
	},

	// 学校详情
	flameSchoolDetail: async (data: any) => {
		return await request.post({ url: '/flames/school/detail', data })
	},


	// 账号申请通过
	flameSchoolExaminePass: async (data: any) => {
		return await request.post({ url: `/menduner/system/teacher/approved`, data })
	},

	// 账号申请拒绝
	flameSchoolExamineRefuse: async (data: any) => {
		return await request.post({ url: `/menduner/system/teacher/refuse`, data })
	},

	// 根据学校id获取账号注册被拒绝的原因
	flameSchoolExamineReasonById: async (data: any) => {
		return await request.post({ url: `/flames/user/auth/record/get`, data })
	}
}